Name:          libcue
Version:       2.3.0
Release:       1mamba
Summary:       An API for parsing and extracting data from CUE sheets
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lipnitsk/libcue
Source:        https://github.com/lipnitsk/libcue.git/v%{version}/libcue-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: flex

%description
libcue provides an API for parsing and extracting data from CUE sheets.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcue.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/libcue.h
%dir %{_includedir}/libcue
%{_includedir}/libcue/libcue.h
%{_libdir}/libcue.so
%{_libdir}/pkgconfig/libcue.pc
%doc ChangeLog README.md

%changelog
* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-1mamba
- package created using the webbuild interface
